##  :bookmark: ThaliApp v2.8.1

## Errors resolved
- Made text fields more clear (!391) 
- Fix 'undefined' underneath registration fields (!389) 
- Update registration field if it is empty (!384) ~"events" ~"api"
- Fix photos deeplink (!376) 

## Technical changes
- Add Podfile.lock to .gitignore (!390) 
- Remove obsolete files and dependencies (!377) 
- Update dependency react-redux to v7.1.1 (!375) 
- Update dependency babel-eslint to v10.0.3 (!374) 
- Update jest monorepo to v24.9.0 (!371) 
- Update dependency @react-native-community/cli to v2.9.0 (!370) 
- Update dependency gradle to v5.6.1 (!369) 
- Update dependency react-i18next to v10.12.2 (!366) 
- Update dependency react-i18next to v10.11.5 (!365) 
- Update dependency react-native-firebase to v5.5.6 (!363) 
- Update dependency @react-native-community/async-storage to v1.6.1 (!362) 
- Update dependency react-native-device-info to v2.3.2 (!360) 
- Update dependency eslint-plugin-react to v7.14.3 (!359) 
- Update dependency react-native-linear-gradient to v2.5.6 (!357) 
- Update dependency eslint-plugin-import to v2.18.2 (!355) 
- Update babel monorepo to v7.5.5 (!354)

🔖 ThaliApp v2.8.1

2.8.0 was only released as beta.

Errors resolved

  • Made text fields more clear (!391)
  • Bug/checkbox (!389)
  • Update registration field if it is empty (!384) api blocked events
  • Fix photos deeplink (!376)
  • Fix events field saving (!266)
  • Fix hardcoded urls (!396)
  • Fix saving user data on first load (!288)

New functionality

  • In-app photo gallery (!299)
  • Resolve "Adjust profile picture in the application" (!272)
  • Show notification on app open (!270)

Technical changes

  • Add Podfile.lock to .gitignore (!390)
  • Remove obsolete files and dependencies (!377)
  • Update dependency react-redux to v7.1.1 (!375)
  • Update dependency babel-eslint to v10.0.3 (!374)
  • Update jest monorepo to v24.9.0 (!371)
  • Update dependency @react-native-community/cli to v2.9.0 (!370)
  • Update dependency gradle to v5.6.1 (!369)
  • Update dependency react-i18next to v10.12.2 (!366)
  • Update dependency react-native-firebase to v5.5.6 (!363)
  • Update dependency @react-native-community/async-storage to v1.6.1 (!362)
  • Update dependency react-native-device-info to v2.3.2 (!360)
  • Update dependency eslint-plugin-react to v7.14.3 (!359)
  • Update dependency react-native-linear-gradient to v2.5.6 (!357)
  • Update dependency eslint-plugin-import to v2.18.2 (!355)
  • Update babel monorepo to v7.5.5 (!354)
  • Remove obsolete dependencies (!344)
  • Add more dynamic styling prop to IconButton (!343)
  • Migrate to react-native-community AsyncStorage and StatusBar (!271)
  • Enable localisation in sagas (!268)